Search
GET
/tx_detailAuth requiredGet transaction details
Returns full details for a Bitcoin transaction including inputs, outputs, fee, size, and RBF status.
Requires Bearer token authentication. Include Authorization: Bearer YOUR_API_KEY in the request header.
Query Parameters
txidstringrequiredTransaction ID
Responses
txidquery · stringrequiredTransaction ID
Response will appear here
Request
curl -X GET \
"https://www.blockonomics.co/api/tx_detail?txid=c4978bfc9b4cd632fb37eb5f69c7c686ae364d9cb1b32ec01c0f8bae72530a4e" \
-H "Authorization: Bearer YOUR_API_KEY"const response = await fetch('https://www.blockonomics.co/api/tx_detail?txid=c4978bfc9b4cd632fb37eb5f69c7c686ae364d9cb1b32ec01c0f8bae72530a4e', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
})
const data = await response.json()
console.log(data)import requests
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(
"https://www.blockonomics.co/api/tx_detail?txid=c4978bfc9b4cd632fb37eb5f69c7c686ae364d9cb1b32ec01c0f8bae72530a4e",
headers=headers
)
print(response.json())Response
{
"txid": "c4978bfc9b4cd632fb37eb5f69c7c686ae364d9cb1b32ec01c0f8bae72530a4e",
"status": "Confirmed",
"fee_usd": 106.359,
"conf_time": 0,
"rbf": "",
"value": 0,
"size": 257,
"time": 1577166893,
"vin": [
{
"value": 5724464598,
"address": "1AEgdWjJrEbroURgWmPrXkFdzxGxdF7c4G"
}
],
"vout": [
{
"value": 10000,
"address": "1FnQjXQc8F6jyjF8L92yLpnMhSWpw8t8jo"
},
{
"value": 4824404598,
"address": "1AEgdWjJrEbroURgWmPrXkFdzxGxdF7c4G"
},
{
"value": 899950000,
"address": "33wBKF7y471qK9zuWQDHbesnGX8JL5YCbW"
}
],
"args_txin": [
{
"address": "1AEgdWjJrEbroURgWmPrXkFdzxGxdF7c4G",
"value": "57.24464598",
"highlight": false
}
],
"args_txout": [
{
"address": "1FnQjXQc8F6jyjF8L92yLpnMhSWpw8t8jo",
"value": "0.0001",
"highlight": false
},
{
"address": "1AEgdWjJrEbroURgWmPrXkFdzxGxdF7c4G",
"value": "48.24404598",
"highlight": false
},
{
"address": "33wBKF7y471qK9zuWQDHbesnGX8JL5YCbW",
"value": "8.9995",
"highlight": false
}
]
}